Prepare Deposit Transaction
Construct a serialized unsigned transaction to deposit ETH into the vault.
curl --request POST \
--url https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegatorAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"vaultAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"amount": "0.01"
}
'import requests
url = "https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/deposit"
payload = {
"delegatorAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"vaultAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"amount": "0.01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delegatorAddress: '0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb',
vaultAddress: '0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb',
amount: '0.01'
})
};
fetch('https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"amount": 0.01,
"vaultAddress": "0xba447498dc4c169f2b4f427b2c4d532320457e89",
"delegatorAddress": "0x092Af80778ff3c3D27Fd2744C39f6e9326d9AaEe",
"unsignedTransaction": {
"serializeTx": "0x02f9011c82001384059682d78585059682f7008302bc6894ba447498dc4c169f2b4f427b2c4d532320457e89...",
"to": "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3",
"data": "<string>",
"value": "0",
"nonce": 15,
"chainId": 560048,
"gasLimit": "207957",
"maxFeePerGas": "3545182006",
"maxPriorityFeePerGas": "1500000000"
},
"createdAt": "2025-07-12T12:34:56.789Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ethereum pool network:
- `mainnet` — Ethereum mainnet.
- `hoodi` — Ethereum testnet.
mainnet, hoodi Body
Account address of the delegator initiating the transaction.
^0x[a-fA-F0-9]{40}$"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
Ethereum address of the vault which keeps the tokens.
^0x[a-fA-F0-9]{40}$"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
Amount of tokens in ETH, as a decimal string (e.g. "0.925413332702449273"). Send it as a JSON string to preserve full 18-decimal precision; a JSON number loses precision before it reaches the server. Must be a plain positive decimal of at least 0.01 ETH with no more than 18 fractional digits; exponential notation (e.g. "1e-2") and signs are rejected with a 400 validation error.
^\d+(\.\d+)?$"0.01"
